Presentación y problema con ATI

Imagen de Nitemare
0 puntos

Hola, hace muy pocos días que me he instalado ubuntu en mi portátil, aunque ya llevo muchos años con Linux, sobre todo con Red Hat y recientemente con Fedora.
Creo que tengo bien configurado todo lo que necesito de mi portátil excepto la tarjeta gráfica, es una ATI 9600/9700 con 128 Mb.
Llevo ya 3 días intentándolo y nada de nada. He seguido unos 5 ó 6 tutoriales distintos donde explicaban cómo configurar la acerlación gráfica pero con ninguno he obtenido el resultado deseado. He probado a instalar los módulos, a descargar el driver de ATI (ati-driver-installer-8.23.7-i386.run) y no lo he conseguido, me he leido decenas de veces los tutoriales de este portal así como las preguntas y respuestas de otros compañeros y no he podido. Sé que se puede, pues cuando tenía Fedora Core 4 tenía activa la aceleración 3D sin problemas.

Mi versión del núcleo es la 2.6.12-10-368 (¿¿no debería ser 686?? Con Fedora era 686, tengo un Pentium 4 M, es un Centrino a 1,8 Ghz)
No se qué más puedo hacer... creo que he hecho todo lo que sabía hacer.
La parte de xorg.conf donde se configura ahora mismo está asi:

Section "Module"
Load "GLcore"
Load "i2c"
Load "bitmap"
Load "ddc"
Load "dri"
Load "extmod"
Load "freetype"
Load "glx"
Load "int10"
Load "type1"
Load "vbe"
EndSection

Section "Device"
Driver "fglrx"
Identifier "ATI Technologies, Inc. Radeon Mobility 9600/9700 M10/M11 (RV350 NP)"
BusID "PCI:1:0:0"
VideoRam 131072
EndSection

aunque también tuve estas opciones en la sección "Device":

Option "VideoOverlay" "off"
Option "OpenGLOverlay" "off"
Option "UseInternalAGPGART" "no"

pero da igual, nada de nada.

El log de xorg me muestra esto, el error, pero no sé que hacer para subsanarlo:

(II) fglrx(0): DRIScreenInit done
(II) fglrx(0): Kernel Module Version Information:
(II) fglrx(0): Name: fglrx
(II) fglrx(0): Version: 8.16.20
(II) fglrx(0): Date: Aug 16 2005
(II) fglrx(0): Desc: ATI FireGL DRM kernel module
(WW) fglrx(0): Kernel Module version does *not* match driver.
(EE) fglrx(0): incompatible kernel module detected - HW accelerated OpenGL will
(II) fglrx(0): [drm] removed 1 reserved context for kernel
(II) fglrx(0): [drm] unmapping 8192 bytes of SAREA 0xf8ce8000 at 0xb7a9e000
(WW) fglrx(0): ***********************************************
(WW) fglrx(0): * DRI initialization failed! *
(WW) fglrx(0): * (maybe driver kernel module missing or bad) *
(WW) fglrx(0): * 2D acceleraton available (MMIO) *
(WW) fglrx(0): * no 3D acceleration available *
(WW) fglrx(0): ********************************************* *

Me dice que el módulo no coincide con mi versión del nucleo, como indica esta página al final: https://wiki.ubuntu.com/BinaryDriverHowto/ATI
pero es que he seguido los pasos y cuando instalo el paquete "linux-686" ¡¡lo instala para la versión del núcleo 2.6.12-9 y yo tengo la 2.6.12-10!!!

¿que pasa con el paquete para la 2.6.12-10?? ¿dónde está???
Por otro lado he conseguido descargar el paquete con los fuentes del nucleo pero ¡¡lo ha dejado en /usr/src en formato tar.bz2??? Pero qué cosas más raras hace este Ubuntu... ¿no sería más lógico que lo hubiera descomprimido en dicha ruta como hacen todas las distribuciones?? ¿pasa algo si lo descomprimo yo manualmente...? bueno, eso es lo de menos, lo importante es mi problema con la gráfica...

Un saludo.

Imagen de Nitemare
+1
0
-1

Por cierto, todo esto era para la versión 5.10 de Ubuntu.
Un saludo

+1
0
-1
Imagen de Nitemare
+1
0
-1

Al final volví a instalar Ubuntu (esta vez desde el DVD, que la otra vez fue desde la versión en CD) y ahora si me ha puesto el kernel 686. Luego seguí los pasos para instalar el driver fglrx y como no funcionó, seguí el tutorial para instalar los de ATI y esta vez sí, todo funcionando correctamente, ahora solo me falta que el touchpad simule la rueda del ratón al deslizar el dedo de arriba a bajo y abajo a arriba por el lado derecho... poco a poco...

+1
0
-1